com.streambase.liveview.client.alert

## Enum LiveViewAlertType

- java.lang.Object
- - java.lang.Enum<LiveViewAlertType>
  - - com.streambase.liveview.client.alert.LiveViewAlertType

- All Implemented Interfaces:
    Serializable, Comparable<LiveViewAlertType>

      public enum LiveViewAlertType
      extends Enum<LiveViewAlertType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTINUOUS` Only look for Alert matches continuous Alert review
    `SNAPSHOT` Snapshot only Alert
    `SNAPSHOT_AND_CONTINUOUS` Snapshot followed by continuous Alert review

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LiveViewAlertType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LiveViewAlertType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SNAPSHOT

          public static final LiveViewAlertType SNAPSHOT

      Snapshot only Alert

    - #### SNAPSHOT_AND_CONTINUOUS

          public static final LiveViewAlertType SNAPSHOT_AND_CONTINUOUS

      Snapshot followed by continuous Alert review

    - #### CONTINUOUS

          public static final LiveViewAlertType CONTINUOUS

      Only look for Alert matches continuous Alert review

  - ### Method Detail

    - #### values

          public static LiveViewAlertType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LiveViewAlertType c : LiveViewAlertType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LiveViewAlertType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.